Page MenuHomePhabricator

Change "Talk Namespaces" on the Kurdish wikis
Closed, ResolvedPublic

Description

Could you change the "Talk Namespaces" of these wikis:
→ Discussions: http://ku.wikipedia.org/wiki/W%C3%AEk%C3%AEpediya:D%C3%AEwan/p%C3%AA%C5%9Fniyar#Guft.C3.BBgo.2C_gift.C3.BBgo.2C_wut.C3.BBw.C3.AAj.2C_got.C3.BBb.C3.AAj_.C3.BB_n.C3.AEqa.C5.9F.2C_behs.2C_genge.C5.9F.C3.AE
→ Vote: http://ku.wikipedia.org/wiki/W%C3%AEk%C3%AEpediya:D%C3%AEwan/p%C3%AA%C5%9Fniyar#Deng_dan

ku.wikipedia / ku.wiktionary / ku.wikibooks / ku.wikiquote

  • {{ns:Talk} => Gotûbêj
  • {{ns:User talk}} => Gotûbêja bikarhêner
  • {{ns:Project talk}} => Gotûbêja Wîkîpediyayê
  • {{ns:Category talk}} => Gotûbêja kategoriyê
  • {{ns:Template talk}} => Gotûbêja şablonê
  • {{ns:File talk}} => Gotûbêja wêneyî
  • {{ns:Help talk}} => Gotûbêja alîkariyê
  • {{ns:MediaWiki talk}} => Gotûbêja MediaWiki

ku.wikipedia

  • {{ns:101}} => Gotûbêja portalê

ku.wiktionary

  • {{ns:101}} => Gotûbêja pêvekê
  • {{ns:103}} => Gotûbêja nimînokê
  • {{ns:105}} => Gotûbêja portalê

Version: unspecified
Severity: enhancement

Details

Reference
bz37436

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:23 AM
bzimport set Reference to bz37436.
Ghybu created this task.Jun 9 2012, 7:32 PM

I think this needs to be done on translatewiki.net to MediaWiki core instead of individual wikis.

If this is the first translation or a better translation, it should be done at translatewiki.net (where they will assess whether it is indeed "better"). Other wise, a local namespace change (with aliases for the current values, although that presumably happens automatically if "current" is the core translation).

If this is to be changed at translatewiki.net (which they rarely do, for obvious reasons ->) then we need to set up aliases for the old values on all wikis in this language.

Ghybu added a comment.Jun 9 2012, 10:01 PM

(In reply to comment #0)

Could you change the "Talk Namespaces" of these wikis:
→ Discussions:
http://ku.wikipedia.org/wiki/W%C3%AEk%C3%AEpediya:D%C3%AEwan/p%C3%AA%C5%9Fniyar#Guft.C3.BBgo.2C_gift.C3.BBgo.2C_wut.C3.BBw.C3.AAj.2C_got.C3.BBb.C3.AAj_.C3.BB_n.C3.AEqa.C5.9F.2C_behs.2C_genge.C5.9F.C3.AE
→ Vote:
http://ku.wikipedia.org/wiki/W%C3%AEk%C3%AEpediya:D%C3%AEwan/p%C3%AA%C5%9Fniyar#Deng_dan

ku.wikipedia / ku.wiktionary / ku.wikibooks / ku.wikiquote

  • {{ns:Talk} => Gotûbêj
  • {{ns:User talk}} => Gotûbêja bikarhêner
  • {{ns:Category talk}} => Gotûbêja kategoriyê
  • {{ns:Template talk}} => Gotûbêja şablonê
  • {{ns:File talk}} => Gotûbêja wêneyî
  • {{ns:Help talk}} => Gotûbêja alîkariyê
  • {{ns:MediaWiki talk}} => Gotûbêja MediaWiki

ku.wikipedia

  • {{ns:Project talk}} => Gotûbêja Wîkîpediyayê
  • {{ns:101}} => Gotûbêja portalê

ku.wikibooks

  • {{ns:Project}} => Wîkîpirtûk
  • {{ns:Project talk}} => Gotûbêja Wîkîpirtûkê

ku.wikiquote

  • {{ns:Project}} => Wîkîgotin
  • {{ns:Project talk}} => Gotûbêja Wîkîgotinê

ku.wiktionary

  • {{ns:Project talk}} => Gotûbêja Wîkîfehengê
  • {{ns:101}} => Gotûbêja pêvekê
  • {{ns:103}} => Gotûbêja nimînokê
  • {{ns:105}} => Gotûbêja portalê

Correction for ku.wikibooks and ku.wikiquote: The namespace ({{ns:Project}} and {{ns:Project talk}}) had not been translated.

Ghybu added a comment.Jun 9 2012, 10:13 PM

Correction (sorry):

ku.wikipedia / ku.wiktionary / ku.wikibooks / ku.wikiquote

  • {{ns:Talk} => Gotûbêj
  • {{ns:User talk}} => Gotûbêja bikarhêner
  • {{ns:Category talk}} => Gotûbêja kategoriyê
  • {{ns:Template talk}} => Gotûbêja şablonê
  • {{ns:File talk}} => Gotûbêja wêneyî
  • {{ns:Help talk}} => Gotûbêja alîkariyê
  • {{ns:MediaWiki talk}} => Gotûbêja MediaWiki

ku.wikipedia

  • {{ns:Project talk}} => Gotûbêja Wîkîpediyayê
  • {{ns:101}} => Gotûbêja portalê

ku.wikibooks

  • {{ns:Project}} => Wîkîpirtûk
  • {{ns:Project talk}} => Gotûbêja Wîkîpirtûkê

ku.wikiquote

  • {{ns:Project}} => Wîkîgotin
  • {{ns:Project talk}} => Gotûbêja Wîkîgotinê

ku.wiktionary

  • {{ns:Project talk}} => Gotûbêja Wîkîferhengê
  • {{ns:101}} => Gotûbêja pêvekê
  • {{ns:103}} => Gotûbêja nimînokê
  • {{ns:105}} => Gotûbêja portalê

The name of some projects are amended by adding a suffix ("-yê", "yî" or "ê" according to the word or the last letter of the name of the project), these changes can not be done on translatewiki.net.

Here which can not be changed on "translatewiki.net":

ku.wikipedia

  • {{ns:Project talk}} => Gotûbêja Wîkîpediyayê
  • {{ns:101}} => Gotûbêja portalê

ku.wikibooks

  • {{ns:Project}} => Wîkîpirtûk
  • {{ns:Project talk}} => Gotûbêja Wîkîpirtûkê

ku.wikiquote

  • {{ns:Project}} => Wîkîgotin
  • {{ns:Project talk}} => Gotûbêja Wîkîgotinê

ku.wiktionary

  • {{ns:Project talk}} => Gotûbêja Wîkîferhengê
  • {{ns:101}} => Gotûbêja pêvekê
  • {{ns:103}} => Gotûbêja nimînokê
  • {{ns:105}} => Gotûbêja portalê

Thehelpfulonewiki wrote:

This is a shell request - it needs to be fixed through InitialiseSettings.php

(In reply to comment #6)

This is a shell request - it needs to be fixed through InitialiseSettings.php

And a messy one for that matter. To do this right, there should be 4 separate shell requests, and comments 1-4 can be ignored,

Ok for ku.wikipedia

There are some issues for the 3 others.

What are the issues?

Looks all done.

Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptJul 20 2016, 2:14 AM